# Flux WFS

Bien que l’interface ne soit pas prévu pour, vMap est en mesure de publier des flux au format WFS sans problème **pour les serveurs Linux**.

## 1. Objet Web

La première des choses à faire c'est de créer un objet web pour l'utilisation du WFS, pour ceci saisir un nom puis la définition suivante.

```
WEB
	METADATA
		"wfs_title"          "{WMSSERVICE_ID}"
      	"wfs_onlineresource" "{MS_CGI_URL}public/{WMSSERVICE_ID}"
      	"wfs_srs"            "EPSG:4326 EPSG:2154 EPSG:3857"
      	"wfs_abstract"       "This text describes my WFS service."
      	"wfs_enable_request" "*"
	END
END
```

## 2. Flux public

Ensuite il faudra créer un flux, pour ceci il faudra se rendre sur l'onglet **Flux WMS publics** puis **Ajouter un flux wms public** et y ajouter la définition suivante.

```
MAP
	NAME Flux_WFS_public
	STATUS ON
  	SIZE 400 300
	SYMBOLSET "../symbols/symbols.sym"
	EXTENT -180 -90 180 90
  	UNITS DD
	FONTSET "../fonts/fonts.list"

	CONFIG "MS_ERRORFILE" "{MS_LOG_FILE}"
	CONFIG "PROJ_LIB" "{MS_PROJ_DIR}"
	DEBUG {MS_DEBUG_MODE}

	PROJECTION
		"+init=epsg:4326"
	END

	{WEB}
	{LAYERS}
END
```

Il faudra bien entendu utiliser l'objet web décrit précédemment

## 3. Métadonnées

La troisième étape consiste à créer une métadonnée qui sera utilisée dans les couches, pour cela utilisez la défintion ci-dessous.

```
METADATA
	"wfs_title"         "{LAYER_TITLE}"
	"wfs_srs"           "EPSG:2154 EPSG:3857 EPSG:4326"
	"gml_include_items" "all"
	"gml_featureid"     "{TABLE_ID}"
	"wfs_enable_request" "*"
END
```

## 4. Couche

La dernière étape est de créer la/les couche(s) que l'on souhaite publier, pour cela on choisira obligatoirement une connexion publique, pour le reste il faudra la configurer comme on le fait d'habitude avec les couches WMS de type vecteur.

![couche wfs](../../images/mapserver_wfs_1.jpg)

## 5. Publier le flux

Enfin, retournez sur le flux précédemment crée, associez la couche puis sauvegardez le flux.
Votre flux est désormais disponible sur `https://[votre serveur]/wms/public/[nom du flux]?service=wfs&version=1.1.0&request=GetCapabilities`
