# Configuration du mode cartographie

La configuration du monde cartographique peut se faire de manière totalement graphique depuis l'interface mais pour des fonctions plus poussés elle se fait également en modifiant certains fichiers sur le serveur.

## Depuis l'interface de configuration

![Interface de configuration de vMap](../images/configuration_vmap_1.png)

### Général

#### Répertoire FOP

Chemin vers le répertoire où est installé FOP (nécessaire pour le module cadastre)

Défaut: */var/www/vmap/vas/server/fop*

#### Chemin vers PhantomJS (executable)

Chemin vers le répertoire où est installé PhantomJS (nécessaire pour les impressions)

Défaut: */var/www/vmap/vas/server/phantomjs/bin/phantomjs*

#### Alias pintserver

Alias Apache utilisé pour les impressions

Défaut: *printserver*

#### API Veremap

(Optionnelle) URL vers l'API de Veremap pour utiliser les flux privés de ce dernier


### Affichage

#### Largeur des tuiles WMS (en px)

Largeur en pixels des tuiles pour les flux WMS

Défault: *512*

#### Hauteur des tuiles WMS (en px)

Hauteur en pixels des tuiles pour les flux WMS

Défault: *512*

#### Style CSS des popup

Style CSS à appliquer aux info-bulles, ceci permet entre autres de gérer la taille de ces dernières

Défault: *max-height: 350px;max-width: 500px;min-width: 240px;*

#### Groupes de calques repliées par défaut dans "Jeux de données"

Définit si par défaut, dans la partie "Jeux de données" du bandeau de gauche, les groupes de calques sont repliés
#### Fenêtre "Jeux de données" repliée par défaut

Définit si par défaut, la partie "Jeux de données" du bandeau de gauche est repliée
#### Fenêtre "Table des matières" repliée par défaut

Définit si par défaut, la partie "Table des matières" du bandeau de gauche est repliée
#### Fenêtre "Légende" repliée par défaut
Définit si par défaut, la partie "Légende" du bandeau de gauche est repliée


### Outils

#### Contrôles

![](../images/administration/admin_controls.png)

Active ou désactive les outils de cartographie suivants

- Slider de zoom <br>
![Interface de configuration de vMap outils 2](../images/configuration_vmap_slider_zoom.png)

- Zoom <br>
![Interface de configuration de vMap outils 3](../images/configuration_vmap_zoom.png)

- Carte de supervision <br>
![Interface de configuration de vMap outils 4](../images/configuration_vmap_carte_supervision.png)

- Échelle graphique <br>
![Interface de configuration de vMap outils 5](../images/configuration_vmap_echelle_graphique.png)

- Échelle numérique <br>
![Interface de configuration de vMap outils 6](../images/configuration_vmap_echelle_numerique.png)

- Nom de la carte <br>
![Interface de configuration de vMap outils 7](../images/configuration_vmap_nom_carte.png)

- Projection en cours <br>
![Interface de configuration de vMap outils 8](../images/configuration_vmap_proj_en_cours.png)

- Rafraichissement auto <br>
Rafaichit automatiquement grâce à la technologie websocket les couches quand deux utilisateurs modifient la même donnée.

#### Outils des infobulles

![](../images/administration/admin_infobulles.png)

Permet de gérer les outils présents dans les infobulles

![](../images/carto_infobulle.png)

- Rapports:  ![](../images/administration/admin_infobulle_rapports.png)
- Google street view:  ![](../images/administration/admin_infobulle_google_street_view.png)
- Mapillary:  ![](../images/administration/admin_infobulle_mapillary.png)
- Lien vers l'objet: ![](../images/administration/admin_infobulle_lien_vers.png)

### Sélection

#### Nombre maximal de popups

Nombre maximal d'info-bulles affichables simultanément (valeur conseillée: 1)

#### Nombre maximal de sélections dans la liste

Nombre maximal d'enregistrements affichables simultanément dans le requêteur (valeur conseillée: 50)

## Configuration serveur avec properties_server.inc

En modifiant le fichier *vmap/vas/rest/conf/properties_server.inc* il est possible de configurer des fonctions plus approfondies.

#### $properties['schema_vmap']

Nom du schéma vMap utilisé par l'applicaiton

Défaut: *"s_vmap"*

#### $properties['use_proxy_for_tiles']

True pour utiliser le proxy pour charger les tuiles, ceci va diminuer les performances mais améliorera la gestion du cross-origin.

Défaut: *false*

#### $properties['cadastre']['api']

Api du module cadastre à utiliser

Défaut: *"cadastreV2"*

#### $properties['print']['equality_timeout']

Correspond au temps durant lequel le nombre de tuiles chargées est égal aux nombres de tuiles a charger a été mis en place.

En utilisant des services tuilés parfois certaines tuiles mettent énormément ou n'arrivent jamais, pour éviter que ceci bloque certaines impressions grâce equality_timeout l'impression se lancera même si certaines tuiles n'ont pas encore été chargées.

Augmenter equality_timeout améliorera vos chances d'avoir une meilleure impression mais augmentera le temps nécessaire à une impression

Défaut: *1000*

#### $properties['print']['tile_size']

Taille des tuiles durant une impression, en augmentant ce chiffre on diminue les performances mais on diminue aussi le risque qu'un libellé placé entre deux tuiles soit tronqué.

Défaut: *1024*

#### $properties['print']['features_zoom']

Pourcentage de zoom à appliquer quand on imprime une géométrie

Défaut: *100*

#### $properties['print']['quality']

Pourcentage de qualité d'impression

Défaut: *100*

#### $properties['use_veremap_api']

Définit si il faut utiliser l'API Veremap pour générer des flux privés

Défaut: *false*

#### $properties['use_vm4ms_api']

Définit si il faut utiliser l'API du module Mapserver pour générer des flux privés

Défaut: *true*

#### $properties['owner_login']

Login à utiliser pour effectuer les actions de super utilisation

Défaut: *$properties["vitis_owner_login"]*

#### $properties['owner_pass']

Mot de passe à utiliser pour effectuer les actions de super utilisation

Défaut: *$properties["vitis_owner_pass"]*

#### $properties['vmap_log_dir']

Chemin où écrire les fichiers de log

Défaut: *"{$properties['vas_home']}/log/vmap"*

#### $properties['vmap_map_log_file']

Chemin où écrire les fichiers de log pour l'utilisation des cartes

Défaut: *$properties['vmap_log_dir'] . '/map/' . date($properties["log_period"]) . '/map.log'*

#### $properties['vmap_geocoders']

Géocodeurs à utiliser par défaut

Défaut:
```
{"osm":{"title":"OpenStreetMap","url":"https://nominatim.openstreetmap.org/search?format=json&addressdetails=1&limit=[limit]&extratags=1&namedetails=1&polygon_geojson=1&countrycodes=fr&q=[search]","data_field":"data","title_field":"display_name","geojson_field":"geojson","summary_fields":[{"key":"address.country","label":"Pays"},{"key":"address.state","label":"Région"},{"key":"address.postcode","label":"Code postal"},{"key":"extratags.population","label":"Population"}]},"national_adresse":{"title":"Base nationale","url":"https://api-adresse.data.gouv.fr/search/?q=[search]&limit=[limit]","data_field":"data.features","title_field":"properties.label","geojson_field":"geometry","summary_fields":[{"key":"properties.context","label":"Département"},{"key":"properties.city","label":"Ville"},{"key":"properties.postcode","label":"Code postal"}]}}'
```

Il est possible de modifier la liste des géocoders.
- Pour retirer les 2 geocoders par défaut il suffit mettre la valeur suivante
```$properties['vmap_geocoders'] = ''```

- Pour ne conserver que OSM :
```$properties['vmap_geocoders'] = '{"osm":{"title":"OpenStreetMap","url":"https://nominatim.openstreetmap.org/search?format=json&addressdetails=1&limit=[limit]&extratags=1&namedetails=1&polygon_geojson=1&countrycodes=fr&q=[search]","data_field":"data","title_field":"display_name","geojson_field":"geojson","summary_fields":[{"key":"address.country","label":"Pays"},{"key":"address.state","label":"Région"},{"key":"address.postcode","label":"Code postal"},{"key":"extratags.population","label":"Population"}]}'```

- Pour ne conserver que la Base nationale :
```$properties['vmap_geocoders'] = '"national_adresse":{"title":"Base nationale","url":"https://api-adresse.data.gouv.fr/search/?q=[search]&limit=[limit]","data_field":"data.features","title_field":"properties.label","geojson_field":"geometry","summary_fields":[{"key":"properties.context","label":"Département"},{"key":"properties.city","label":"Ville"},{"key":"properties.postcode","label":"Code postal"}]}}'```

#### $properties['vmap_default_geocoders']

Géocodeur à utiliser par défaut

Défaut: *'osm'*

#### $properties['vmap_export']['gtf_api_url']

Permet l'extraction des données par GTF.

URL vers l'API de l'instance GTF à utiliser

#### $properties['vmap_export']['gtf_workspace_id']

Permet l'extraction des données par GTF.

Workspace id à utiliser lors de l'export

#### $properties['vmap_export']['gtf_priority_id']

Permet l'extraction des données par GTF.

Défaut: *'1'*

#### $properties['vmap_export']['gtf_email_option_id']

Permet l'extraction des données par GTF.

Défaut: *'1'*

#### $properties['vmap_export']['gtf_public_token']

Permet l'extraction des données par GTF.

Token public de l'instance GTF

Défaut: *'publictoken'*

#### $properties['vmap_export']['gtf_export_formats']

Permet l'extraction des données par GTF.

Formats supportés par GTF

Défaut:
```
$properties['vmap_export']['gtf_export_formats'] = '[{"label": "Shapefile", "value": "shape"}]'
```

#### $properties['vmap_export']['gtf_export_coordsys']

Permet l'extraction des données par GTF.

Systèmes de coordonnées supportés par GTF

Défaut:
```
$properties['vmap_export']['gtf_export_coordsys'] = '[{"label":"2154 Lambert 93","value":"2154"},{"label":"3857 WGS84 Spherical Mercator","value":"3857"},{"label":"4326 WGS84 Longitude latitude","value":"4326"},{"label":"27561 Lambert I Nord","value":"27561"},{"label":"27562 Lambert II Centre","value":"27562"},{"label":"27563 Lambert III Sud","value":"27563"},{"label":"27564 Lambert IV Corse","value":"27564"},{"label":"27571 Lambert I Carto","value":"27571"},{"label":"27572 Lambert II Carto","value":"27572"},{"label":"27573 Lambert III Carto","value":"27573"},{"label":"27572 Lambert IV Carto","value":"27572"}]'
```

## Configuration client avec properties.json

En modifiant le fichier *vmap/client/conf/properties.json* il est possible de configurer la partie client de l'application

#### Mode mobile

En passant `mobile_interface` à `true` les utilisateurs utilisant des smartphones pourront utiliser le mode cartographie en version mobile.

Cet interface est étidié pour être utilisé depuis le navigateur chrome de tout smartphone dont l'écran est de au moins 4 pouces, il peut être également utilisé depuis un autre navigateur mais il se peut que cela engendre certains bugs.
Il faudra activer le GPS du périphérique et autoriser la localisation depuis le navigateur pour utiliser les outils de localisation.

```
"mobile_interface": "true"
```
