# Module Anomalies

Le module Anomalies est un module spécifique à vMap intégré dans l'interface cartographique. Le but du module Anomalies est de pouvoir signaler et consulter des anomalies sur la carte.

![](../images/idea.png) Le module Anomalies est accessible aux utilisateurs pour lesquels l'administrateur de l'application aura attribué les droits nécessaires. [En savoir plus sur la gestion des utilisateurs et de leurs privilèges dans vMap](http://vmap.readthedocs.io/fr/latest/doc_module_vitis/administration/users.html).



Le bouton **module Anomalies**  ![Bouton du module anomalies](../images/anomalies/bouton_module_anomalies.png) permet de déployer le module Anomalies à droite de la carte. Il comporte l'intégralité des fonctionnalités spécifiques à la gestion des anomalies.

![Anomalies sur une carte](../images/anomalies/anomalies1.png)

Le module Anomalies est composé des éléments suivants :

![](../images/anomalies/module_anomalies.png)

- L'onglet Signaler permet d'ajouter une anomalies.
- L'onglet Anomalies permet de visualiser et de filtrer des anomalies. Le filtre est autant attributaire que cartographique.

## 1. Ajout d'une anomalie : l'onglet "Signaler"

### 1 - Saisie de la localisation

Cliquer sur "Localiser", puis positionner l'anomalie sur la carte.

![](../images/anomalies/anomalies_signaler1.png)

Une fois le.s point.s ajouté.s, les boutons pour déplacer et supprimer la géométrie apparaissent, ainsi que le formulaire attributaire.

### 2 - Le formulaire

Plusieurs champs sont obligatoires pour enregistrer une nouvelle anomalie : 
- Le thème
- Le titre
- La description

![](../images/anomalies/anomalies_signaler2.png)

Lorsque l'anomalie est ajouté elle obtient automatiquement le statut "Nouveau". 
Un récapitulatif est envoyé par email à l'utilisateur.

Un email d'avertissement est envoyé à l'administrateur pour l'informer qu'une nouvelle anomalie a été saisie.

## 2. Liste des anomalies : l'onglet "Anomalies"

![](../images/anomalies/anomalies_liste2.png)


### 1 - Filtrer une anomalie

![](../images/anomalies/anomalies_filtres.png)

Il est possible de filtrer l'affichage (attributaire et cartographique) des anomalies selon deux critères : 
- par statut (Nouveau, En cours...), 
- ou en n'affichant que les signalements réalisés par l'utilisateur connecté.

Les statuts possibles sont :
- **Nouveau :** ![](../images/anomalies/anomalies_status_nouveau.png) au moment du signalement. 
- **En attente d’ information :** ![](../images/anomalies/anomalies_status_en_attente.png) l'anomalie est prise en charge mais des éléments sont manquants pour pouvoir enclencher l'En cours.
- **En cours :** ![](../images/anomalies/anomalies_status_en_cours.png) l'anomalie est confirmée, comprise, et elle est en cours de résolution. 
- **Terminé :** ![](../images/anomalies/anomalies_status_termine.png) l'anomalie est résolue (équivalent à archiver).
- **Annulé :** ![](../images/anomalies/anomalies_status_annule.png) l'utilisateur ou l'administrateur c'est rendu compte après signalement que ce n' est pas une anomalie.

### 2 - Visualiser les anomalies sur la carte

![](../images/anomalies/anomalies_cartographie.png)

La case à coché "Afficher les anomalies sur la carte" permet de choisir l'affichage où non des anomalies sur la carte.

Le bouton de sélection ![Bouton de selection du module anomalies](../images/anomalies/bouton_selection_module_anomalies.png) permet d'afficher les données attributaires d'une anomalie.

![](../images/anomalies/anomalies_details.png)

### 3 - Liste des anomalies

![](../images/anomalies/anomalies_liste4.png)

La liste des anomalies est présentée sous forme de tableau avec les colonnes suivantes :

- Les boutons d'actions ![](../images/anomalies/anomalies_boutons_actions.png)
- L'identifiant de l'anomalies
- Le statut de l'anomalies
- La concaténation du thème (version courte) et du titre

### 4 - Actions réalisables sur une anomalie

#### L'édition

Cette action n'est pas toujours disponible, elle dépend des droits de l'utilisateur ainsi que du statut de l'anomalie.

Elle permet d'éditer les attributs de l'anomalie.

![](../images/anomalies/anomalies_form_edition.png)

Les boutons qui peuvent être disponibles (suivant les droits) :
- **Annuler la demande** enregistre les modifications et modifie le statut pour "Annuler".
- **Modifier la géométrie** va ouvrir un panneau à droite pour modifier la géométrie. Pour que la modification soit prise en compte, il faut sauvegarder le formulaire.
- **Sauvegarder** enregistre les modifications.
- **Clôturer la demande** enregistre les modifications et modifie le statut pour "Terminer".

#### La visualisation



![](../images/anomalies/anomalies_details.png)

Les boutons qui peuvent être disponible (suivant vos droits) :
- **Annuler la demande** modifie le statut pour "Annuler".
- **Modifier la géométrie** ouvre un panneau à droite pour modifier la géométrie.
- **Modifier la description** ouvre le formulaire d'édition.
- **Clôturer la demande** modifie le statut pour "Terminer".

#### Le zoom

Le bouton loupe ![](../images/anomalies/anomalies_boutons_actions_zoom.png) permet de localiser une anomalie sur la carte.

![](../images/anomalies/anomalies_zoom.png)


## 3. Les privilèges du module anomalies

### 3.1 vmap_anomalies_admin

Un utilisateur qui a le privilège vmap_anomalie_admin aura tous les droits :
- afficher
- créer
- modifier
- annuler
- clôturer

### 3.1 vmap_anomalies_user

Un utilisateur qui a le privilège vmap_anomalies_user peut signaler et modifier ses anomalies.
Il peut uniquement modifier, sur ses signalements, les rubriques qu’il a renseignées quand il a créé l'anomalie.

Il peut parcourir et afficher toutes les anomalies.

Le bouton "Annuler ma demande" est disponible.

### 3.1 vmap_anomalies_light_user

Un utilisateur qui a le privilège anomalie_light_user peut uniquement consulter les anomalies.